Bug 1143774 - Numerical values cannot be converted to string
Summary: Numerical values cannot be converted to string
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jsoncpp
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sébastien Willmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1080227 1143025
TreeView+ depends on / blocked
 
Reported: 2014-09-18 00:59 UTC by Matthew Miller
Modified: 2015-05-29 13:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 13:53:25 UTC


Attachments (Terms of Use)

Description Matthew Miller 2014-09-18 00:59:06 UTC
This is the root cause of bug #1143025 and bug #1080227, which cause Minetest to crash when using system jsoncpp. The patch referenced below is already in the bundled version (so, it is a minor fork, basically.)

This was traced down in Debian (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=753560), and the patch is included https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=patch;att=1;bug=753560

It seems logically correct.

As noted in the Debian bug, updating to the latest github jsoncpp does fix the problem, but it is an ABI break with no soname change -- everything that uses jsoncpp will need to be changed to Require the newer version and rebuilt. That's kind of a mess. (Possibly should be done in Rawhide one of these days with some coordination of dependent-package owners.)

In the meantime, possibly consider adding this patch to F20 and F21 (and possibly rawhide). (Unfortunately, it makes `scons check` fail, as the patch does not come with a test.)

Comment 1 Matthew Miller 2014-09-18 02:50:10 UTC
In case it helps, I built a jsoncpp 0.7.0 snapshot RPM at http://mattdm.org/misc/fedora/jsoncpp-0.7.0-0.1.20140917gitdf26dae.src.rpm and a Copr at http://copr.fedoraproject.org/coprs/mattdm/minetest/

Comment 2 Sébastien Willmann 2014-09-21 10:47:21 UTC
I will patch for F21 and F20, and update for rawhide as you suggested.

Comment 3 Fedora Update System 2014-09-21 11:42:48 UTC
jsoncpp-0.6.0-0.14.rc2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jsoncpp-0.6.0-0.14.rc2.fc20

Comment 4 Fedora Update System 2014-09-21 11:42:55 UTC
jsoncpp-0.6.0-0.14.rc2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jsoncpp-0.6.0-0.14.rc2.fc21

Comment 5 Fedora Update System 2014-10-08 18:52:24 UTC
jsoncpp-0.6.0-0.14.rc2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-08 19:09:53 UTC
jsoncpp-0.6.0-0.14.rc2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Matthew Miller 2015-03-27 19:10:03 UTC
Suggest updating to 0.10.0 for rawhide and f22.... 

Spec: http://mattdm.org/misc/fedora/jsoncpp.spec
SRPM: http://mattdm.org/misc/fedora/jsoncpp-0.10.0-1.src.rpm

(before the beta freeze, ideally!)

Comment 8 Fedora End Of Life 2015-05-29 12:54:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Matthew Miller 2015-05-29 13:53:25 UTC
For the update to 0.10.x, see bug #1209654.


Note You need to log in before you can comment on or make changes to this bug.